### Method

# Ide CompletionContext get_busy

#### Declaration

    gboolean
    ide_completion_context_get_busy (
      IdeCompletionContext* self
    )

#### Description

Gets the “busy” property. This is set to `TRUE` while the completion context is actively fetching proposals from the `IdeCompletionProvider` that were registered with ide_completion_context_add_provider().

Available since: | 3.32

Gets property | `Ide.CompletionContext:busy`

#### Return value

Returns: | `gboolean`
| `TRUE` if the context is busy.